<?php
session_start();
$customer_id = uniqid();

$colors = [
    '#3498db', '#e74c3c', '#2ecc71', '#9b59b6', '#f1c40f', '#e67e22',
    '#1abc9c', '#d35400', '#8e44ad', '#2980b9', '#c0392b', '#27ae60',
    '#16a085', '#f39c12', '#bdc3c7', '#7f8c8d', '#34495e', '#2c3e50',
    '#f8c471', '#a569bd', '#ec7063', '#5dade2', '#58d68d', '#af7ac5',
    '#f5b041', '#45b39d', '#5499c7', '#dc7633', '#f7dc6f', '#cd6155'
];

$messages = [
    'Welcome to your new adventure!',
    'Explore a world of endless possibilities.',
    'Discover your potential with us.',
    'Join our innovative community.',
    'Experience excellence in every step.',
    'Unlock a world of opportunities.',
    'Transform your future with us.',
    'Stay ahead with our latest innovations.',
    'Join us for an extraordinary journey.',
    'Your success story starts here.',
    'Embrace the future with confidence.',
    'Innovate, explore, and succeed.',
    'Your adventure begins with us.',
    'Transform your dreams into reality.',
    'Experience a new level of excellence.',
    'Welcome to a brighter future.',
    'Explore the possibilities with us.',
    'Innovate your life today.',
    'Join the leaders of tomorrow.',
    'Discover the future of technology.'
];

$images = [
    'https://via.placeholder.com/150/3498db/ffffff?text=Adventure',
    'https://via.placeholder.com/150/e74c3c/ffffff?text=Explore',
    'https://via.placeholder.com/150/2ecc71/ffffff?text=Discover',
    'https://via.placeholder.com/150/9b59b6/ffffff?text=Innovate',
    'https://via.placeholder.com/150/f1c40f/ffffff?text=Excellence',
    'https://via.placeholder.com/150/e67e22/ffffff?text=Opportunities',
    'https://via.placeholder.com/150/1abc9c/ffffff?text=Transform',
    'https://via.placeholder.com/150/d35400/ffffff?text=Innovations',
    'https://via.placeholder.com/150/8e44ad/ffffff?text=Journey',
    'https://via.placeholder.com/150/2980b9/ffffff?text=Success'
];

$selected_color = $colors[array_rand($colors)];
$selected_message = $messages[array_rand($messages)];
$selected_image = $images[array_rand($images)];
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title><?php echo $selected_message; ?></title>
    <style>
        body {
            background-color: <?php echo $selected_color; ?>;
            text-align: center;
            font-size: 24px;
            color: #fff;
            margin: 0;
            padding: 0;
            font-family: Arial, Helvetica, sans-serif;
        }

        .container {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }

        .heading {
            font-size: 36px;
            margin-bottom: 20px;
        }

        .image {
            margin: 20px 0;
        }

        .cta {
            font-size: 18px;
            margin-top: 20px;
        }

        .customer-id {
            font-size: 14px;
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="heading"><?php echo $selected_message; ?></div>
        <div class="image"><img src="<?php echo $selected_image; ?>" alt="Dynamic Image"></div>
        <div class="cta">
            <?php
            $messages = [
                'Explore our exciting offerings and join us today!',
                'Join our community and experience the future!',
                'Unlock your potential with us today!',
                'Discover innovation and join us now!',
                'Start your journey to success today!',
                'Experience excellence with our services!',
                'Welcome to a world of endless opportunities!',
                'Join us for a brighter tomorrow!',
                'Embrace the future with us!',
                'Experience a world of innovation!',
                'Unlock your true potential with us!',
                'Discover a world of endless horizons!',
                'Join us on a journey of success!',
                'Innovation for a better tomorrow!',
                'Explore, innovate, succeed!',
                'Your dreams, our commitment!',
                'Start something incredible with us!',
                'Connect with your dreams here!',
                'Unleash your inner genius!',
                'Your journey to success begins now!',
                'Be a part of something amazing!',
                'Transform your world with us!',
                'The future is yours to create!',
                'Embrace a world of opportunities!',
                'Discover a world of endless horizons!',
                'Welcome to a brighter future!',
                'Experience excellence every day!',
                'The future is bright, join us!',
                'Innovation at your fingertips!',
                'Get ready for a great experience!',
                'Join us and thrive!',
                'Experience the best with us!',
                'Start a new chapter with us!',
                'Your destination for success!',
                'Your journey starts today!',
                'Dive into a world of opportunities!',
                'The adventure begins now!',
                'Discover endless possibilities!',
                'Unleash your potential with us!',
                'Your success is our priority!',
                'Experience the future with us!',
                'Your adventure begins here!',
                'Elevate your life with our services!',
                'Stay connected with the world!',
                'Transform your dreams into reality!',
                'Welcome to our website!',
                'Discover amazing products!',
                'Sign up for exclusive offers!',
                'Join our community today!',
                'Explore the future of technology!',
                'Unlock your full potential!',
                'Start your journey with us!'
            ];

            echo $messages[array_rand($messages)];
            ?>
        </div>
        <div class="customer-id">Your unique customer ID: <?php echo $customer_id; ?></div>
    </div>
</body>
</html>
